import { ServiceResponse } from '../response/response.interface'

export interface IAgentListService {
  getNativeAgentList(
    params: Record<string, any>
  ): Promise<ServiceResponse<AgentListType[]>>
  getNativeAgentConfiguration(
    agentId: string
  ): Promise<ServiceResponse<AgentConfigurationType[]>>
  saveNativeAgentConfiguration(
    params: SaveAgentConfigurationType
  ): Promise<ServiceResponse<SaveAgentConfigurationType>>
  getToolList(): Promise<ServiceResponse<any>>
}
