type AgentListType = {
  id: number
  name: string
  display_name: string
  type: number
  execution_model: string
  create_time: string
  update_time: string
}

type AgentConfigurationType = {
  id: number
  name: string
  display_name: string
  type: number
  execution_model: string
  system_prompt: string
  task_prompt: string
  tools: string[]
  sub_agents: number[]
  extra_params: Record<string, string>
  create_time: string
  update_time: string
}

type SaveAgentConfigurationType = {
  agent_id?: number
  name: string
  display_name?: string
  type?: number
  execution_model?: string
  system_prompt?: string
  task_prompt?: string
  tools?: string[]
  sub_agents?: number[]
  extra_params?: Record<string, string>
}
