import { Module } from '@nestjs/common'

import { HttpClientModule } from '@/shared/http-client/http-client.module'

import { AgentTestController } from './agent-test.controller'
import { AgentTestHttpService } from './service/agent-test-http.service'
import { AgentTestService } from './service/agent-test.service'

@Module({
  imports: [HttpClientModule],
  controllers: [AgentTestController],
  providers: [AgentTestHttpService, AgentTestService]
})
export class AgentTestModule {}
